#include<fstream>
#include<cmath>
using namespace std;
ifstream fi("SLU.inp");
ofstream fo("SLU.out");
long long n;
long long su(long long n)
{
	int r=1;
	int t=0;
	for(int i=2;i*i<=n;i++)
	{
		if(n%i==0)
		{
			r++;
		}
		if((i*i==n)&&(n%i==0))
		{
			t=1;
		}
	}
	if(t==0)
	{
		return r*2;
	}
	else
	{
		return r*2-1;
	}
}
int ss(int n)
{
	long long y=1;
	int s=0;
	for(int i=2;i<=sqrt(n);i++)
	{	
		s=0;
		while(n%i==0)
			{
				n=n/i;
				s++;
			}
		y*=s+1;
	}
	if(n!=1) y*=2;
	return y;
}
int main()
{
	fi>>n;
	//fo<<su(n);
	fo<<ss(n);
	fi.close();
	fo.close();
}
